KIO Link
KIO Link XC API
KIO Link APIHuawei BMSHuawei Alert
KIO Link XC API
KIO Link APIHuawei BMSHuawei Alert
  1. XC Comments
  • DocuSign
    • Overview
    • List a XC request's DocuSign envelopes
      GET
    • Get an embeded URL signature for a XC Request
      GET
    • Regenerate a URL signature for the current signer
      GET
    • List the order of signers of a DocuSign Envelope
      GET
    • Create a DocuSign envelope for a XC request
      POST
    • Resend email & recover URL signature for a XC request
      POST
    • Create a DocuSign envelope for multiple signers
      POST
  • XC Client Prices
    • Overview
    • List XC client prices
      GET
    • Get a XC client's price
      GET
    • Create a XC client's price
      POST
    • Update a XC client's price
      PATCH
    • Delete a XC client's price
      DELETE
  • XC Comments
    • Overview
    • List XC comments
      GET
    • Get a XC comment
      GET
    • Create a XC comment
      POST
    • Update a XC comment
      PATCH
    • Delete a XC comment
      DELETE
  • XC Connections
    • Overview
    • List XC connections
      GET
    • Get a XC connection
      GET
    • Create a XC connection
      POST
    • Update a XC connection
      PATCH
    • Delete a XC connection
      DELETE
  • XC Contract Settings
    • Overview
    • List XC contract settings
    • Get a XC contract setting
    • Get a XC Request's contract setting
    • Create a XC contract setting
    • Update a XC contract setting
    • Delete a XC contract setting
  • XC Contract Setting Participants
    • Overview
    • List all XC contract settings participants
    • List a XC contract settings participants
    • Get a XC contract settings participant
    • Create a XC contract settings participant
    • Update a XC contract settings participant
    • Delete a XC contract settings participant
  • XC Data Centers
    • Overview
    • List XC datacenters
    • Create a XC datacenter
    • Update a XC datacenter
    • Delete a XC datacenter
  • XC Documents
    • Overview
    • List XC documents
    • Get a XC document's metadata
    • Get a XC document download URL
    • Get a XC document binary file
    • Upload a XC document
    • Delete a XC document
  • XC Reports
    • Overview
    • Download XC requests report
    • Download XC satisfaction survey report
    • Download XC connections report
  • XC Requests
    • Overview
    • List XC requests
    • Get a XC request
    • Get a XC request (complete details)
    • Create a XC request
    • Upsert a XC request draft
    • Update a XC request's general data
    • Change a XC request's status
    • Delete a XC request
    • Revert a XC request to Revision
  • XC Salesforce
    • Overview
    • Accounts
      • Overview
      • List accounts
      • Get an account
    • Opportunities
      • Overview
      • Attachments
        • Overview
        • List opportunity attachments
        • Upload an opportunity attachment
        • Download an opportunity file
      • List opportunities
      • Get an opportunity
      • Create an opportunity
      • Update an opportunity
    • Products
      • Overview
      • List products
      • Get a product
    • Project Requests
      • Overview
      • List project requests
      • Get a project request
      • Create a project request
      • Update a project request
    • Users
      • Overview
      • List users
      • Get a user
    • XC/IC Requests
      • Overview
      • Attachments
        • Overview
        • List XC/IC attachments
        • Upload a XC/IC attachment
        • Download a XC/IC file
      • List XC/IC requests
      • List all KIO Link connections from Salesforce XC/IC requests
      • Get a XC/IC request
      • Create a XC/IC request
      • Update a XC/IC request
  • XC Satisfaction Survey
    • Overview
    • List XC satisfaction surveys
    • Get a XC satisfaction survey
    • Get a XC satisfaction survey per user
    • Create XC satisfaction survey
  • XC Statuses
    • Overview
    • List XC statuses
    • Get a XC status
    • Create a XC status
    • Update a XC status
    • Delete a XC status
  • XC Status Histories
    • Overview
    • List XC status histories
    • List XC status history time summary
    • Get a XC status history record
  • Schemas
    • DocuSign
      • DocuSign Envelope Signer
      • DocuSign Signing URL Result
      • DocuSign Signer Routing
      • DocuSign Resend Result
      • DocuSign Envelope
    • XC Client Prices
      • XC Client Price
    • XC Comments
      • XC Comment
    • XC Connections
      • XC Connection
    • XC Contract Settings
      • XC Contract Setting
    • XC Contract Setting Participants
      • XC Contract Setting Participant
    • XC Data Centers
      • XC Datacenter
    • XC Documents
      • XC Document
    • XC Requests
      • XC Request With Relations
      • XC Request List Item
      • XC Request
      • XC Request With Details
    • XC Salesforce
      • Salesforce Connection
      • Salesforce Account
      • Salesforce User
      • Salesforce Product
      • Salesforce Opportunity List Item
      • Salesforce Opportunity
      • Salesforce Opportunity Write Result
      • Salesforce Attachment
      • Salesforce Attachment Upload Result
      • Salesforce Attachment Download Result
      • Salesforce Request List Item
      • Salesforce Request Point
      • Salesforce Request
      • Salesforce Request Write Result
      • Salesforce Project Request
      • Salesforce Project Request Write Result
      • Salesforce Quote
      • Salesforce Quote Line
    • XC Satisfaction Surveys
      • XC Satisfaction Survey
    • XC Statuses
      • XC Status
    • XC Status Histories
      • XC Status Time
      • XC Status Stage Time
      • XC Status History
    • Error
    • Date Metadata
    • Pagination Metadata
  1. XC Comments

Create a XC comment

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
POST
https://qa-api.kiolinkapp.com
/v1/xc/requests/{id}/comments
XC Comments
Last modified:2026-09-25 19:50:53
Maintainer:José María Esparza Arévalo
Required Permission(s):xc-comment-create
Creates a comment on an XC request, optionally scoped to a specific connection or posted as a reply to another comment (a reply automatically inherits its parent's type and connection). Comments are PUBLIC by default; business users cannot create PRIVATE comments or set the type explicitly. Creating a PUBLIC comment emails the global XC admins and the request's requester.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
  "comment": "Creo que todo sigue bien",
  "type": "PRIVATE"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qa-api.kiolinkapp.com/v1/xc/requests/xcr_NJVb2g1MBnEezNlr/comments' \
--header 'authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "comment": "Creo que todo sigue bien",
  "type": "PRIVATE"
}'

Responses

🟢201
application/json
Comment created.
Bodyapplication/json

Example
{
    "id": "xcm_sSsAODSchwYIa0Ij",
    "xc_request_id": "xcr_2ynSatKGFezBIisA",
    "author_id": "69ab25325434ff2b1622fa6d",
    "author_type": "USER",
    "parent_comment_id": null,
    "comment": "Creo que todo sigue bien",
    "type": "PRIVATE",
    "created_at": "2026-08-06T19:26:37.000Z",
    "updated_at": "2026-08-06T19:26:37.000Z",
    "author": {
        "firstname": "José María",
        "lastname": "Esparza Arévalo",
        "email": "jose.esparza@digitalignition.com.mx"
    }
}
🟠404
Modified at 2026-09-25 19:50:53
Previous
Get a XC comment
Next
Update a XC comment
Built with